Bullet Collision Detection & Physics Library: btGImpactCompoundShape::CompoundPrimitiveManager Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btGImpactCompoundShape::CompoundPrimitiveManager Class Reference

compound primitive manager More...

`#include <btGImpactShape.h>`

Inheritance diagram for btGImpactCompoundShape::CompoundPrimitiveManager:
[legend]
Collaboration diagram for btGImpactCompoundShape::CompoundPrimitiveManager:
[legend]

## Public Member Functions
virtual | ~CompoundPrimitiveManager ()
| CompoundPrimitiveManager (const CompoundPrimitiveManager &compound)
| CompoundPrimitiveManager (btGImpactCompoundShape *compoundShape)
| CompoundPrimitiveManager ()
virtual bool | is_trimesh () const
| determines if this manager consist on only triangles, which special case will be optimized More...
virtual int | get_primitive_count () const
virtual void | get_primitive_box (int prim_index, btAABB &primbox) const
virtual void | get_primitive_triangle (int prim_index, btPrimitiveTriangle &triangle) const
| retrieves only the points of the triangle, and the collision margin More...
Public Member Functions inherited from btPrimitiveManagerBase
virtual | ~btPrimitiveManagerBase ()
virtual bool | is_trimesh () const =0
| determines if this manager consist on only triangles, which special case will be optimized More...
virtual int | get_primitive_count () const =0
virtual void | get_primitive_box (int prim_index, btAABB &primbox) const =0
virtual void | get_primitive_triangle (int prim_index, btPrimitiveTriangle &triangle) const =0
| retrieves only the points of the triangle, and the collision margin More...

## Public Attributes
btGImpactCompoundShape * | m_compoundShape

## Detailed Description

compound primitive manager

Definition at line 298 of file btGImpactShape.h.

## Constructor & Destructor Documentation

## ◆ ~CompoundPrimitiveManager()

virtual btGImpactCompoundShape::CompoundPrimitiveManager::~CompoundPrimitiveManager | ( |  | ) |
| inlinevirtual

Definition at line 301 of file btGImpactShape.h.

## ◆ CompoundPrimitiveManager() [1/3]

btGImpactCompoundShape::CompoundPrimitiveManager::CompoundPrimitiveManager | ( | const CompoundPrimitiveManager & | compound | ) |
| inline

Definition at line 304 of file btGImpactShape.h.

## ◆ CompoundPrimitiveManager() [2/3]

btGImpactCompoundShape::CompoundPrimitiveManager::CompoundPrimitiveManager | ( | btGImpactCompoundShape * | compoundShape | ) |
| inline

Definition at line 310 of file btGImpactShape.h.

## ◆ CompoundPrimitiveManager() [3/3]

btGImpactCompoundShape::CompoundPrimitiveManager::CompoundPrimitiveManager | ( |  | ) |
| inline

Definition at line 315 of file btGImpactShape.h.

## Member Function Documentation

## ◆ get_primitive_box()

virtual void btGImpactCompoundShape::CompoundPrimitiveManager::get_primitive_box | ( | int | prim_index,
|  | btAABB & | primbox
| ) |  | const
| inlinevirtual

Implements btPrimitiveManagerBase.

Definition at line 330 of file btGImpactShape.h.

## ◆ get_primitive_count()

virtual int btGImpactCompoundShape::CompoundPrimitiveManager::get_primitive_count | ( |  | ) | const
| inlinevirtual

Implements btPrimitiveManagerBase.

Definition at line 325 of file btGImpactShape.h.

## ◆ get_primitive_triangle()

virtual void btGImpactCompoundShape::CompoundPrimitiveManager::get_primitive_triangle | ( | int | prim_index,
|  | btPrimitiveTriangle & | triangle
| ) |  | const
| inlinevirtual

retrieves only the points of the triangle, and the collision margin

Implements btPrimitiveManagerBase.

Definition at line 345 of file btGImpactShape.h.

## ◆ is_trimesh()

virtual bool btGImpactCompoundShape::CompoundPrimitiveManager::is_trimesh | ( |  | ) | const
| inlinevirtual

determines if this manager consist on only triangles, which special case will be optimized

Implements btPrimitiveManagerBase.

Definition at line 320 of file btGImpactShape.h.

## Member Data Documentation

## ◆ m_compoundShape

btGImpactCompoundShape* btGImpactCompoundShape::CompoundPrimitiveManager::m_compoundShape

Definition at line 302 of file btGImpactShape.h.

The documentation for this class was generated from the following file:

- btGImpactShape.h